Debian Bug report logs - #587295
merge with checksec.sh

Package: hardening-includes; Maintainer for hardening-includes is Package Hardening <hardening-discuss@lists.alioth.debian.org>; Source for hardening-includes is src:hardening-wrapper.

Reported by: Michael Gilbert <michael.s.gilbert@gmail.com>

Date: Sun, 27 Jun 2010 06:54:01 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Package Hardening <hardening-discuss@lists.alioth.debian.org>:
Bug#587295; Package hardening-includes. (Sun, 27 Jun 2010 06:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
New Bug report received and forwarded. Copy sent to Package Hardening <hardening-discuss@lists.alioth.debian.org>. (Sun, 27 Jun 2010 06:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: submit@bugs.debian.org
Subject: checksec
Date: Sun, 27 Jun 2010 02:53:19 -0400
package: hardening-includes

hi, i put together a package for checksec a couple weeks ago [0], and
just heard about hardening-check today.  the two tools seem to do
essentially the same thing; perhaps they could be merged?

i think checksec may have the advantage since it supports various kernel
feature checks as well.  also, subjectively, the output looks a bit
nicer, and its more compact.

let me know what you think.

best wishes,
mike 

[0] http://lists.debian.org/debian-mentors/2010/06/msg00389.html




Information forwarded to debian-bugs-dist@lists.debian.org, Package Hardening <hardening-discuss@lists.alioth.debian.org>:
Bug#587295; Package hardening-includes. (Thu, 15 Jul 2010 02:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Package Hardening <hardening-discuss@lists.alioth.debian.org>. (Thu, 15 Jul 2010 02:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 587295@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 587295@bugs.debian.org, kees@ubuntu.com
Subject: re: checksec
Date: Wed, 14 Jul 2010 22:20:47 -0400
any thoughts on this?

> hi, i put together a package for checksec a couple weeks ago [0], and
> just heard about hardening-check today.  the two tools seem to do
> essentially the same thing; perhaps they could be merged?
> 
> i think checksec may have the advantage since it supports various kernel
> feature checks as well.  also, subjectively, the output looks a bit
> nicer, and its more compact.
> 
> let me know what you think.
> 
> best wishes,
> mike 
> 
> [0] http://lists.debian.org/debian-mentors/2010/06/msg00389.html




Information forwarded to debian-bugs-dist@lists.debian.org, Package Hardening <hardening-discuss@lists.alioth.debian.org>:
Bug#587295; Package hardening-includes. (Thu, 15 Jul 2010 04:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kees Cook <kees@debian.org>:
Extra info received and forwarded to list. Copy sent to Package Hardening <hardening-discuss@lists.alioth.debian.org>. (Thu, 15 Jul 2010 04:57:03 GMT) Full text and rfc822 format available.

Message #15 received at 587295@bugs.debian.org (full text, mbox):

From: Kees Cook <kees@debian.org>
To: Michael Gilbert <michael.s.gilbert@gmail.com>
Cc: 587295@bugs.debian.org
Subject: Re: checksec
Date: Wed, 14 Jul 2010 21:52:11 -0700
Hi Michael,

Well, there certainly is overlap, but since checksec has a specific
upstream, it might make sense to keep it a separate package.  Right now the
"hardening-check" script is used to validate the things that the
hardening-wrapper itself is capable of doing to a given ELF.

-Kees

On Wed, Jul 14, 2010 at 10:20:47PM -0400, Michael Gilbert wrote:
> any thoughts on this?
> 
> > hi, i put together a package for checksec a couple weeks ago [0], and
> > just heard about hardening-check today.  the two tools seem to do
> > essentially the same thing; perhaps they could be merged?
> > 
> > i think checksec may have the advantage since it supports various kernel
> > feature checks as well.  also, subjectively, the output looks a bit
> > nicer, and its more compact.
> > 
> > let me know what you think.
> > 
> > best wishes,
> > mike 
> > 
> > [0] http://lists.debian.org/debian-mentors/2010/06/msg00389.html
-- 
Kees Cook
Ubuntu Security Team




Severity set to 'wishlist' from 'normal' Request was from Kees Cook <kees@debian.org> to control@bugs.debian.org. (Thu, 15 Jul 2010 23:21:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'merge with checksec.sh' from 'checksec' Request was from Kees Cook <kees@debian.org> to control@bugs.debian.org. (Thu, 15 Jul 2010 23:21:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:09:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.